at.chipkarte.client.kse.soap

## Class KonsultationsdatenSuchergebnis

- Object
- - at.chipkarte.client.kse.soap.KonsultationsdatenSuchergebnis

-     public class KonsultationsdatenSuchergebnis
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KonsultationsdatenSuchergebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Konsultationsdaten[]` | `getKonsultationsDaten()`
    `Long[]` | `getKonsultationsId()` Beinhaltet bei der Abfrage von Konsultationsdaten mittels der Funktionen getKonsultationsdaten(String, SuchFilter, String, String) und downloadKonsultationsdaten(String, String) die weiteren abfragbaren Konsultationen die mittels der Funktion getKonsultationsdatenById abgerufen werden können.
    `void` | `setKonsultationsDaten(Konsultationsdaten[] konsultationsDaten)`
    `void` | `setKonsultationsId(Long[] konsultationsId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KonsultationsdatenSuchergebnis

          public KonsultationsdatenSuchergebnis()

  - ### Method Detail

    - #### getKonsultationsDaten

          public Konsultationsdaten[] getKonsultationsDaten()

    - #### setKonsultationsDaten

          public void setKonsultationsDaten(Konsultationsdaten[] konsultationsDaten)

    - #### getKonsultationsId

          public Long[] getKonsultationsId()

      Beinhaltet bei der Abfrage von Konsultationsdaten mittels der Funktionen getKonsultationsdaten(String, SuchFilter, String, String) und downloadKonsultationsdaten(String, String) die weiteren abfragbaren Konsultationen die mittels der Funktion getKonsultationsdatenById abgerufen werden können. Beinhaltet bei der Abfrage von Konsultationen mittels der Funktion getKonsultationsdatenById die Konsultationen deren Ermittlung nicht möglich war.

    - #### setKonsultationsId

          public void setKonsultationsId(Long[] konsultationsId)